# SPDX-FileCopyrightText: 2018 Kattni Rembor for Adafruit Industries
#
# SPDX-License-Identifier: MIT

"""CircuitPython Essentials Analog In example"""
import time
import board
from analogio import AnalogIn

analog_in0 = AnalogIn(board.A0)
analog_in1 = AnalogIn(board.A1)

minLightValue = .1
maxLightValue = 2.8

minLightValue = .01
maxPotValue = 3.28

def getAnalogValue(pin):
    return [pin.value,(pin.value * 3.3) / 65536]

def get_voltage(pin):
    return (pin.value * 3.3) / 65536



while True:
#    print((get_voltage(analog_in0),))
#    print(get_voltage(analog_in0),"   ",get_voltage(analog_in1))
    pinValue0 = getAnalogValue(analog_in0)
    pinValue1 = getAnalogValue(analog_in1)
    
    scaledLightValue = pinValue0[1]/maxLightValue * 100
    scaledPotValue = pinValue1[1]/maxPotValue * 100
    
    print(getAnalogValue(analog_in0),"\t",getAnalogValue(analog_in1))
    print("\tScaled Light Value = ",scaledLightValue,"\tScaled Pot Value = ",scaledPotValue)
    print()
    
    time.sleep(1.0)
